* {
    margin: 0;
    padding: 0;
}

.fadeIn {
  -webkit-animation-duration: 3s;
  -o-animation-duration: 3s;
  -moz-animation-duration: 3s;
  animation-duration: 3s;
  
  -webkit-animation-delay: 4s;
  -o-animation-delay: 4s;
  -moz-animation-delay: 4s;
  animation-delay: 4s;
}

/* general ---------------------------------------------------------------- */
body {
    background: #212121;
    font-size: 16px;
    font-family: 'Ubuntu', sans-serif;
    color: #212121;
    line-height: 1.5em;
}

div, p, input, button, a {
    box-sizing: border-box;
}

li {
    list-style: none;
}

h2 {
    padding-top: 75px;
    font-size: 36px;
    text-align: center;
}

h3 {
    margin-top: 30px;
    font-size: 25px;
}

a {
    text-decoration: none;
    color: #dbdbdb;
}

p {
    margin: 30px 0;
}

.clearfix:after {
    content:'';
    display: table;
    width:100%;
    clear: both;
}

.margin20 {margin-left: 20px; margin-right: 20px;}

/* header ---------------------------------------------------------------- */
.text_heading {
    margin: 22px 0 0 0;
    font-size: 25px;
    text-align: center;
}

.fullscreen-bg {
    z-index: -1;
    position: absolute;
    height: 100%;
    width: 100%;
    padding-top:45%;
    overflow: hidden;
}
 
.fullscreen-bg__video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}
 
.overlay_bg {
    background: rgba(0,0,0,0.8);
    position: absolute;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
    z-index: 4;
}

header {
    height: 540px;
    color: #d0c3e8;
}

header button {
    position: relative;
    top: 40vh;
}

article {
    margin: 0 auto;
    width: 1110px;
}

.heading {
    padding-top: 30px;
    font-weight: 700;
}

.menu {
    float: left;
    position: relative;
    margin-top: -10px;
    width: 50%;
}

.menu li,
.menu a {
    padding: 10px 25px 10px 0;
    width: 320px;
    cursor: pointer;
}

.menu a {padding-left: 25px;}

.submenu {
    display: none;
    position: absolute;
    top: 100%;
    font-weight: 400;
}

.submenu a:hover {color: #6a41ce;}
.cart_link a:hover{
    color: #6a41ce;
    border-bottom: 2px solid #6a41ce;
}

.primary:hover {color: #6a41ce;}

nav:hover .submenu{display: block;}

.heading i {padding-right: 10px;}

.logo {
    position: absolute;
    left: 50%;
    margin-left: -28px;
}

.phone {float: right;}

button {
    display: block;
    margin: 37px auto;
    padding: 25px 0;
    width: 203px;
    color: #dbdbdb;
    font-family: 'Ubuntu', sans-serif;
    font-size: 16px;
    font-weight: 700;
    border-radius: 5px;
    background: #512da8;
    text-align: center;
    border: none;
    box-shadow: 0px 3px 2px 0px #0f0f0f;
}

button:hover {background: #6a41ce;}
.social_icon a:hover {color: #6a41ce;}

textarea, input[type="text"]:focus { outline: none; }

/* programs ---------------------------------------------------------------- */
#programs {
    background: #f5f1f2;
    padding-bottom: 178px;
}

.programs_cart {
    position: relative;
    background: #fefefe;
    margin: 50px 30px 20px 0;  
    width: 350px;
    padding-bottom: 25px;
    float: left;
}

.programs_cart:hover{
    box-shadow: 0px 3px 19px 0px #d4d4d4;
}

.programs_cart:last-child{margin-right: 0px;}

.cart_link {
    font-weight: 700;
    text-align: right;
}

.cart_link a {color: #512da8;}


/* portfolio ---------------------------------------------------------------- */
#portfolio {
    background: #212121;
    color: #dbdbdb;
    padding-bottom: 84px;
}

.photo {
    display: flex;
    flex-wrap: wrap;  
    max-width: 1170px; /* макс ширина */
    margin: 40px auto;
}

li img {
    min-width: 240px;
    width: 100%;
}

.photo li {
    box-shadow: 0px 1px 3px 1px #171515;
    height: 140px;
    overflow: hidden;
    flex:1 1;
    margin:15px;
    box-sizing:border-box; /* чтобы внутренний отступ не влиял когда там будет текст... */
    min-width:202px; /* мин. ширина блока, чтобы переносились на другой ряд */
}

.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 25px 0;
    text-align: center;
    overflow-y: auto;
    z-index: 1;
}

.overlay_lightbox {
    background: rgba(0,0,0,0.96);
    position: absolute;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.lightbox img {
    margin: 50px auto;
    max-width: 100%;
    max-height: 100vh;
}

figure{
    position: relative;
    margin: 0 auto;
    max-width: 1170px;
}

.prev, .next {
    position: absolute;
    top: 50vh;
    font-size:40px;
    cursor: pointer;
    padding: 20px;
}

.prev {left: 0;}
.next {right: 0;}

.prev i:hover {color: #6a41ce;}
.next i:hover{ color: #6a41ce;}


/* advantages ---------------------------------------------------------------- */
#advantages {
    background: #f5f1f2;
    padding: 163px 0 155px 0;
    color: #512da8;
}

#advantages .clearfix {
    width: 790px;
    margin: 0 auto;
}

.circle_item {
    width: 220px;
    float: left;
    position: relative;
    margin-right: 65px;
    text-align: center;
}

.circle_item:last-child {
    float: right;
    margin-right: 0px;
}

.circle_item > h3 {
    position: relative;
    top: -70px;
}

.circle_text {
    position: relative;
    top: -140px;
    font-size: 36px;
}

.circle_text > span {
    font-size: 14px;
    text-align: right;
}

/* message ---------------------------------------------------------------- */
#message {
    position: relative;
    background: #d0c3e8;
    height: 550px;
}

.lead_second {
    width: 350px;
    margin: 52px auto 0 auto;
}

input {
    display: block;
    margin-bottom: 20px;
}

textarea {
    width: 290px;
    padding: 18px 30px 15px 30px;
}

textarea,
input[type="text"] {
    border-radius: 5px;
    box-shadow: inset 0px 1px 1px 0px #828282;
    border: none;
}

input[type="text"] {
    padding: 18px 0 15px 30px;
    width: 100%;
}

button {
    
}

/* footer ---------------------------------------------------------------- */
footer {
    background: #212121;
    padding-top: 70px;
    min-height: 250px;
    color: #dbdbdb;
}

footer li {
    padding-top: 60px;
    text-align: center;
}

.social_icon a {padding: 10px;
    font-size:25px;
}

/* popup---------------------------------------------------------------- */

.overlay {
    width:100%;
    height: 100%;
    background-color: rgba(0,0,0,0.8);
    overflow:hidden;
    position:fixed;
    top:0;
    left:0;
    display: none;
}

.popup {
	position: absolute;
	width: 300px;
	height: 220px;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	padding: 20px;
	background-color: #FFF;
}

.popup p {
    text-align: center;
    margin: 10% 0 30% 0;
    font-size: 20px;
}

.centered {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -54px;
}

.close-popup {
	position: absolute;
	top: 15px;
	right: 15px;
	width: 23px;
	height: 23px;
	cursor: pointer;
}

.close-popup:before {
	content: '';
	background-color: #000;
	position: absolute;
	height: 1px;
	width: 31px;
	top: 11px;
	left: -4px;
	transform: rotate(-45deg);
}

.close-popup:after {
	content: '';
	background-color: #000;
	position: absolute;
	height: 1px;
	width: 31px;
	top: 11px;
	transform: rotate(45deg);
	left: -4px;
}

.partners {
    padding: 20px 0;
    display: flex;
    justify-content: center;
    -webkit-display: flex;
    -webkit-justify-content: center;
    text-align: center;
}

.partners-cont {
    width: 15%;
}

.partners-cont:first-child {
    margin-right: 10px;
}

.footer__img {
    width: 80%;
}